GDCM 3.2.1

Public Member Functions | Static Public Member Functions | List of all members
gdcm::UUIDGenerator Class Reference

Class for generating unique UUID. More...

`#include <gdcmUUIDGenerator.h>`

## Public Member Functions
const char * | Generate ()

## Static Public Member Functions
static bool | IsValid (const char *uid)
| Find out if the string is a valid UUID or not.

## Detailed Description

Class for generating unique UUID.

generate DCE 1.1 uid

## Member Function Documentation

## ◆ Generate()

const char * gdcm::UUIDGenerator::Generate | ( |  | ) |

Return the generated uuid NOT THREAD SAFE

## ◆ IsValid()

bool gdcm::UUIDGenerator::IsValid | ( | const char * | uid | ) |
| static

Find out if the string is a valid UUID or not.

The documentation for this class was generated from the following file:

- gdcmUUIDGenerator.h